eID middleware |

# be::portugal::eid::PTEID_Certificates Class Reference

Container class for all certificates on the card. More...

Inheritance diagram for be::portugal::eid::PTEID_Certificates:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_Certificates ()
| Create an PTEID_Certificates store without any link to a card.
uint | countFromCard ()
| The number of certificates on the card.
uint | countAll ()
| The number of certificates (on the card or not).
PTEID_Certificate | getCertFromCard (uint ulIndexCard)
| Get the ulIndex certificate from the card.
PTEID_Certificate | getCert (uint ulIndexAll)
| Return the certificate with the number ulIndexAll.
PTEID_Certificate | getCert (PTEID_CertifType type)
| Return the certificate by type.
PTEID_Certificate | getRrn ()
| Return the RRN certificate from the card.
PTEID_Certificate | getRoot ()
| Return the root certificate from the card.
PTEID_Certificate | getCA ()
| Return the ca certificate from the card.
PTEID_Certificate | getSignature ()
| Return the signature certificate from the card.
PTEID_Certificate | getAuthentication ()
| Return the authentication certificate from the card.
PTEID_Certificate | addCertificate (PTEID_ByteArray cert)
| Add a new certificate to the store.

## Detailed Description

Container class for all certificates on the card.

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_Certificates::PTEID_Certificates | ( |  | ) | `[inline]`

Create an PTEID_Certificates store without any link to a card.

This store is not link to any Card, so some methods could not be used. These methods throw PTEID_ExBadUsage exception.

## Member Function Documentation

PTEID_Certificate be::portugal::eid::PTEID_Certificates::addCertificate | ( | PTEID_ByteArray | cert | ) | `[inline]`

Add a new certificate to the store.

uint be::portugal::eid::PTEID_Certificates::countAll | ( |  | ) | `[inline]`

The number of certificates (on the card or not).

uint be::portugal::eid::PTEID_Certificates::countFromCard | ( |  | ) | `[inline]`

The number of certificates on the card.

override void be::portugal::eid::PTEID_Certificates::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Crypto.

PTEID_Certificate be::portugal::eid::PTEID_Certificates::getAuthentication | ( |  | ) | `[inline]`

Return the authentication certificate from the card.

PTEID_Certificate be::portugal::eid::PTEID_Certificates::getCA | ( |  | ) | `[inline]`

Return the ca certificate from the card.

PTEID_Certificate be::portugal::eid::PTEID_Certificates::getCert | ( | PTEID_CertifType | type | ) | `[inline]`

Return the certificate by type.

PTEID_Certificate be::portugal::eid::PTEID_Certificates::getCert | ( | uint | ulIndexAll | ) | `[inline]`

Return the certificate with the number ulIndexAll.

ATTENTION ulIndexAll and ulIndexCard are two different index. Index will change if new certificates are added with addCert().

PTEID_Certificate be::portugal::eid::PTEID_Certificates::getCertFromCard | ( | uint | ulIndexCard | ) | `[inline]`

Get the ulIndex certificate from the card.

Throw PTEID_ExParamRange exception if the index is out of range.

PTEID_Certificate be::portugal::eid::PTEID_Certificates::getRoot | ( |  | ) | `[inline]`

Return the root certificate from the card.

PTEID_Certificate be::portugal::eid::PTEID_Certificates::getRrn | ( |  | ) | `[inline]`

Return the RRN certificate from the card.

PTEID_Certificate be::portugal::eid::PTEID_Certificates::getSignature | ( |  | ) | `[inline]`

Return the signature certificate from the card.